{
  "description": "Event is a report of an event somewhere in the cluster.  Events have a limited retention time and triggers and messages may evolve with time.  Event consumers should not rely on the timing of an event with a given Reason reflecting a consistent underlying trigger, or the continued existence of events with that Reason.  Events should be treated as informative, best-effort, supplemental data.",
  "properties": {
    "action": {
      "description": "What action was taken/failed regarding to the Regarding object.",
      "type": [
        "string",
        "null"
      ]
    },
    "apiVersion": {
      "description": "APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources",
      "type": [
        "string",
        "null"
      ],
      "enum": [
        "v1"
      ]
    },
    "count": {
      "description": "The number of times this event has occurred.",
      "format": "int32",
      "type": [
        "integer",
        "null"
      ]
    },
    "eventTime": {
      "$ref": "/api/_definitions.json#/$defs/io.k8s.apimachinery.pkg.apis.meta.v1.MicroTime",
      "description": "Time when this Event was first observed."
    },
    "firstTimestamp": {
      "$ref": "/api/_definitions.json#/$defs/io.k8s.apimachinery.pkg.apis.meta.v1.Time",
      "description": "The time at which the event was first recorded. (Time of server receipt is in TypeMeta.)"
    },
    "involvedObject": {
      "$ref": "/api/_definitions.json#/$defs/io.k8s.api.core.v1.ObjectReference",
      "description": "The object that this event is about."
    },
    "kind": {
      "description": "Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds",
      "type": [
        "string",
        "null"
      ],
      "enum": [
        "Event"
      ]
    },
    "lastTimestamp": {
      "$ref": "/api/_definitions.json#/$defs/io.k8s.apimachinery.pkg.apis.meta.v1.Time",
      "description": "The time at which the most recent occurrence of this event was recorded."
    },
    "message": {
      "description": "A human-readable description of the status of this operation.",
      "type": [
        "string",
        "null"
      ]
    },
    "metadata": {
      "$ref": "/api/_definitions.json#/$defs/io.k8s.apimachinery.pkg.apis.meta.v1.ObjectMeta",
      "description": "Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata"
    },
    "reason": {
      "description": "This should be a short, machine understandable string that gives the reason for the transition into the object's current status.",
      "type": [
        "string",
        "null"
      ]
    },
    "related": {
      "$ref": "/api/_definitions.json#/$defs/io.k8s.api.core.v1.ObjectReference",
      "description": "Optional secondary object for more complex actions."
    },
    "reportingComponent": {
      "description": "Name of the controller that emitted this Event, e.g. `kubernetes.io/kubelet`.",
      "type": [
        "string",
        "null"
      ]
    },
    "reportingInstance": {
      "description": "ID of the controller instance, e.g. `kubelet-xyzf`.",
      "type": [
        "string",
        "null"
      ]
    },
    "series": {
      "$ref": "/api/_definitions.json#/$defs/io.k8s.api.core.v1.EventSeries",
      "description": "Data about the Event series this event represents or nil if it's a singleton Event."
    },
    "source": {
      "$ref": "/api/_definitions.json#/$defs/io.k8s.api.core.v1.EventSource",
      "description": "The component reporting this event. Should be a short machine understandable string."
    },
    "type": {
      "description": "Type of this event (Normal, Warning), new types could be added in the future",
      "type": [
        "string",
        "null"
      ]
    }
  },
  "required": [
    "metadata",
    "involvedObject"
  ],
  "type": "object",
  "x-kubernetes-group-version-kind": [
    {
      "group": "",
      "kind": "Event",
      "version": "v1"
    }
  ],
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "$id": "https://kubernetes.io/api/event/v1"
}